# CallLightingController

Calling this method commands the lighting controller with a custom command.

Commands must be generated according to command formats defined in the documentation, that also lists the expected responses.

**NB! When calling a command, the checksum must be omitted, since it is calculated automatically and appended to the command**

![Commands](https://dev.azure.com/triclouddk/41425339-6cb1-4d0f-8e6c-5514158775a1/_apis/git/repositories/6b6b8a13-5559-495c-bccd-1fa3b670ab26/Items?path=/Documentation/Edge-Module-Documentation/modules/SceneControllerModule/DirectCommands/lightingcontrollercommands.png\&download=false\&resolveLfs=true&%24format=octetStream\&api-version=5.0-preview.1\&sanitize=true\&versionDescriptor.version=wikiMaster)

### **Method Name:**

CallLightingController

### **Payload:**

The direct command requires a command that will be sent to the lighting controller.

```
{
    "command": "@00M"
}
```

### **Return value**

The direct command returns an OperationResult that indicates either success or failure, and the response from the operation.

Responses that start with "@00O" are succeeded.\
Responses that start with "@00N" are failed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tricloudnexus.io/edge/nexus-modules/data-connector-modules/scenecontrollermodule/direct-commands/calllightingcontroller.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
